
Audacious - Bug #473

jack-ng does not compile with Clang

October 28, 2014 23:25 - Thomas Lange

Status: Closed Start date: October 28, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/jack Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.6   

Description

With Clang 3.5.0 on Arch Linux this error occurs when building jack-ng:

jack-ng.cc:55:15: error: constexpr constructor never produces a constant expression [-Winvalid-con

stexpr]

    constexpr JACKOutput () : OutputPlugin (info, 0) {}

              ^

jack-ng.cc:55:15: note: non-literal type 'RingBuf<float>' cannot be used in a constant expression

1 error generated.

Failed to compile jack-ng.cc (plugin)!

History

#1 - October 29, 2014 03:58 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.6

- % Done changed from 0 to 100

#2 - October 29, 2014 04:40 - John Lindgren

Interestingly enough, the code would have compiled with -std=c++14.
